Bug 832391 - [abrt] synapse-0.2.10-2.fc17: Process /usr/bin/synapse was killed by signal 11 (SIGSEGV)
[abrt] synapse-0.2.10-2.fc17: Process /usr/bin/synapse was killed by signal 1...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: synapse (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Renich Bon Ciric
Fedora Extras Quality Assurance
abrt_hash:741c2598a0ef82fc53b008c3703...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-15 05:59 EDT by Vilhjálmur Magnússon
Modified: 2013-08-01 14:48 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:48:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (17.09 KB, text/plain)
2012-06-15 05:59 EDT, Vilhjálmur Magnússon
no flags Details
File: maps (64.88 KB, text/plain)
2012-06-15 05:59 EDT, Vilhjálmur Magnússon
no flags Details
File: dso_list (8.75 KB, text/plain)
2012-06-15 05:59 EDT, Vilhjálmur Magnússon
no flags Details

  None (edit)
Description Vilhjálmur Magnússon 2012-06-15 05:59:32 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        synapse --startup
crash_function: synapse_zeitgeist_plugin_process_results_co
executable:     /usr/bin/synapse
kernel:         3.4.0-1.fc17.x86_64
pid:            3687
pwd:            /home/superman
time:           Fri 15 Jun 2012 09:58:03 AM GMT
uid:            1000
username:       superman

backtrace:      Text file, 17504 bytes
dso_list:       Text file, 8960 bytes
maps:           Text file, 66439 bytes

build_ids:
:9d49f2f604fdc7a787f63c16cc08353956f2fd41
:4c9c864a7c7b7ed702088955821d58137803462d
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:45b9c1436f78151fc2e3f8ab1189d31532b2f2af
:7716bc5c1738194dad6ec6679d05ae3782139288
:6b93a04efa6824d3a8c685b55cac85a9fc28afd5
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:e2f8ba3db2c86456528fe1f09829c62263d0fdee
:e48810bd9d6ad9358cc2aff3d0c8532485f59b90
:f64b7319b84d426ed547084bdb2577f4f596c18f
:8f7c190397d7c1f617e66f18f759714662b60367
:67792c148d2b8f13f6732c9367e926c26d7376c5
:63651cdc0224824a9c9324c77c3b5887378e871d
:c4ec0971b2dcee71aaf8374975474054245fea00
:85654856a54c352e8ade3bdff9283eabf8e5b9da
:822e9b3523e8312240f41a25722d539bc77ed436
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:403d6162623ac1870e4753d446a8236f15686de6
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:d804f8ee47797da9213a92f00cd095ecada8d79f
:4b044fe80e4c1b69986abc4b160c303048005d4e
:c58be119879099ca4f8f16797a14e58dd29f4226
:b6d75088f555d197be1476cb1c580640826ae029
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:87712be648d2d43ea4cd002fe7a859df636f1e13
:253afe744466fe7580bbb6040de6183dba9e2b02
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:42675a8ad8f70ff19362070510cdf1ba202a70db
:99c23b21038c62b0628b93610fb54c5900c40ffd
:3d60535f052babb998bae4807bc992c5d15df5c4
:a48a153ef63aaf23e1349196f0ca185bcf42397e
:396fda5abd0de2132396c4a3e94f7a7173bc26e7
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:c2f5ae8bd64df0fc996cf96b95525a8f8fb28fd2
:80dcf30321dbc04511d9cbf399a83b8f3dc75d5d
:929d271f51370434d6e9f63b74694fb424470462
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:0eeac854ab0b56d18d126ca7056136b4e63abed7
:234d4eb1aa690c38533ef82f517b390255d3bc4d
:d0fc68226938d55fcf8ce6b4c0632c8a3ac9dbf6
:faca16f15d87b83d2947a386e319b02f724dcbb5
:ac943af4aaadceb5deb00b73d39c85444512c747
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:a2d5b50b07df0fb9c52fcc682c6121d3e7276249
:31243d0d107bba586a96433c76c87a26db1e826c
:cbb8a8e0998ebc35f3394e942b5bf90d19d90fc5
:a6a0a700385259f7ea2c4650dcf23e8367a8ef67
:438ef6c93f7e3e29dd1904560069799e76d33b25
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:57daf604bef735ab18319f0436edd52ce4488a17
:404cbecd24d186758ed474b345313da28b2990fa
:5d08d928a5f0b7efa48e4874b6dc4337d0a5ffb1
:1a0c09f270adf8398df4362ce0acfafc1f970982
:d8d393649ae4da146ebc8812db58514f245f08a9
:fb63ea358f7e7fd79c8a901e125723e7382d74bb
:7c35310fc506498c612d5d982ab03becc4b4817c
:5f038f3fb1b1571769e7c9b79e025fe328052950
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:c8443041d6d93a13912e2279370611765a665ff8
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:247132297f287226a24c12e683292f5c94013066
:54a5cc118d928470da13565de8592b664a9868e0
:dec0de92024bee74c75c04bde4c54c097fe68ae8
:301bb855a0952a10241e6d7190773fdabf23e383
:b277af36744327e3d58eae76bcdaadcca71a28c6
:af1cc02686634d74ebb0e9f1ec9e45685e084c48
:1afac507ede356188511954fc7956f1b72533d5a
:591c7ebbd3f4b573e01caf6e462b01a226faa9cf
:127f8958b602715234a02b88adb08afd9e34c203
:626ed33d91be8ce993bb91dc58f9879b296fd3f2
:508cf66f72e70054a41215f80ed2385c6bb80030
:516204cfc31148538d56b21e2f1b945ed50127d4
:835ece100ae7d8bb3c7f990b52f28ecdeb74975e
:a553a7e9625a224a8f39286909adc17787ad51bd
:73777e822e00ca152ffca281ab0ace0cb498ec48
:ec87953f655fbcbcbe71b591db5451e56739576e
:4d09d82785dab5f95c01b69bc0785145a5954d30
:f1c49123d06db01a4d1a4749d57f52f01bac8f63
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:e3f83e6ed76d65ff9d0d4aa5fcc7bf0c6bfaaadd
:8c1105fdca80308f44d545b954a7dcd518f98db5
:5dd234206476b0387cd251598aa72a2c95c763c5
:9303b51b9254f2b7d1db7a4fc059cd3dcf7c4201
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:5bf8427ddeff24a2bd36962f68e6af6ffe14970f
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/superman/29

core_backtrace:
:- 0x0 - - -
:438ef6c93f7e3e29dd1904560069799e76d33b25 0xa5a3a - [exe] -
:438ef6c93f7e3e29dd1904560069799e76d33b25 0xa826b - [exe] -
:c58be119879099ca4f8f16797a14e58dd29f4226 0xa933 - libzeitgeist-1.0.so.1 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0x6ce77 g_simple_async_result_complete libgio-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0xc51ea - libgio-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0x6ce77 g_simple_async_result_complete libgio-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0xbb6d2 - libgio-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0x6ce77 g_simple_async_result_complete libgio-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0x6cf79 - libgio-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14ac27 gtk_main libgtk-x11-2.0.so.0 -
:438ef6c93f7e3e29dd1904560069799e76d33b25 0x14e63 - [exe] -

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=29
:HOSTNAME=superdora
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/superman/keyring-eE6RbW
:QTINC=/usr/lib/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:MAIL=/var/spool/mail/superman
:PATH=/usr/lib/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/superman/.local/bin:/home/superman/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/superman
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=3377
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/superman
:SHLVL=1
:LOGNAME=superman
:QTLIB=/usr/lib/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-4eSaieXetY,guid=f5406abe8bcaaeba8fd57333000160ea
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/superman
:DISPLAY=:0
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-superman-DXhjMR/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/3381,unix/unix:/tmp/.ICE-unix/3381
:SSH_AUTH_SOCK=/run/user/superman/keyring-eE6RbW/ssh
:GPG_AGENT_INFO=/run/user/superman/keyring-eE6RbW/gpg:0:1
:DESKTOP_AUTOSTART_ID=10b811077b42c3da02133974906451308200000033810003

event_log:
:2012-06-15-09:58:17> Analyzing coredump 'coredump'
:2012-06-15-09:58:19  Coredump references 90 debuginfo files, 5 of them are not installed
:2012-06-15-09:58:19  Setting up yum repositories
:2012-06-15-09:58:27  Looking for needed packages in repositories
:2012-06-15-09:58:31  Packages to download: 5
:2012-06-15-09:58:32  Downloading (1 of 5) rest-debuginfo-0.7.12-2.fc17.x86_64.rpm: 100%
:2012-06-15-09:58:32  Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-06-15-09:58:17.5847/rest-debuginfo-0.7.12-2.fc17.x86_64.rpm
:2012-06-15-09:58:32  Caching files from unpacked.cpio made from rest-debuginfo-0.7.12-2.fc17.x86_64.rpm
:2012-06-15-09:58:32  Downloading (2 of 5) libzeitgeist-debuginfo-0.3.12-1.fc17.x86_64.rpm: 100%
:2012-06-15-09:58:32  Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-06-15-09:58:17.5847/libzeitgeist-debuginfo-0.3.12-1.fc17.x86_64.rpm
:2012-06-15-09:58:32  Caching files from unpacked.cpio made from libzeitgeist-debuginfo-0.3.12-1.fc17.x86_64.rpm
:2012-06-15-09:58:32  Downloading (3 of 5) libgtkhotkey-debuginfo-0.2.1-4.fc15.x86_64.rpm: 100%
:2012-06-15-09:58:32  Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-06-15-09:58:17.5847/libgtkhotkey-debuginfo-0.2.1-4.fc15.x86_64.rpm
:2012-06-15-09:58:32  Caching files from unpacked.cpio made from libgtkhotkey-debuginfo-0.2.1-4.fc15.x86_64.rpm
:2012-06-15-09:58:32  Downloading (4 of 5) unique-debuginfo-1.1.6-7.fc17.x86_64.rpm: 100%
:2012-06-15-09:58:32  Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-06-15-09:58:17.5847/unique-debuginfo-1.1.6-7.fc17.x86_64.rpm
:2012-06-15-09:58:32  Caching files from unpacked.cpio made from unique-debuginfo-1.1.6-7.fc17.x86_64.rpm
:2012-06-15-09:58:33  Downloading (5 of 5) synapse-debuginfo-0.2.10-2.fc17.x86_64.rpm: 100%
:2012-06-15-09:58:33  Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-06-15-09:58:17.5847/synapse-debuginfo-0.2.10-2.fc17.x86_64.rpm
:2012-06-15-09:58:33  Caching files from unpacked.cpio made from synapse-debuginfo-0.2.10-2.fc17.x86_64.rpm
:2012-06-15-09:58:33  Removing /tmp/abrt-tmp-debuginfo-2012-06-15-09:58:17.5847
:2012-06-15-09:58:33  All debuginfo files are available
:2012-06-15-09:58:33  Generating backtrace
:2012-06-15-09:58:38  Backtrace is generated and saved, 17504 bytes
:2012-06-15-09:58:55> Element 'xsession_errors' saved
:2012-06-15-09:58:56> Smolt profile successfully saved

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 46497                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       46497                46497                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:1:/home/superman/.xsession-errors
:2:/home/superman/.xsession-errors
:3:socket:[2820709]
:4:anon_inode:[eventfd]
:5:socket:[2820724]
:6:socket:[2816976]
:7:socket:[2819619]
:8:socket:[2819621]
:9:anon_inode:[eventfd]
:10:anon_inode:inotify
:11:anon_inode:[eventfd]
:12:/dev/urandom
:13:socket:[2820795]
:14:socket:[2819642]
:15:anon_inode:[eventfd]

smolt_data:
:
:
:General
:=================================
:UUID: 2562ac09-bbcc-4429-b4ad-0e75b0b2d82e
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5054.64
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5 CPU       M 460  @ 2.53GHz
:CPU Stepping: 5
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2534
:System Memory: 5833
:System Swap: 7871
:Vendor: Acer
:System: Aspire 5820TG V1.19
:Form factor: Notebook
:Kernel: 3.4.0-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:68:4133:861) pci, None, HOST/PCI, Core Processor DRAM Controller
:(32902:69:4133:861) pci, pcieport, PCI/PCI, Core Processor PCI Express x16 Root Port
:(32902:15152:4133:861) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15145:4133:861) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 4 port SATA AHCI Controller
:(32902:15113:4133:861) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:4133:861) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(6505:4211:4133:861) pci, atl1c, ETHERNET, AR8151 v1.0 Gigabit Ethernet
:(32902:15164:4133:861) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:9288:4133:861) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15204:4133:861) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:11521:4133:861) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:11362:4133:861) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(5348:17239:4187:57377) pci, bcma-pci-bridge, NETWORK, BCM43225 802.11b/g/n
:(32902:15170:4133:861) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15190:4133:861) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15156:4133:861) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(4098:43616:4133:860) pci, snd_hda_intel, MULTIMEDIA, Redwood HDMI Audio [Radeon HD 5600 Series]
:(4098:26817:4133:860) pci, radeon, VIDEO, Madison [AMD Radeon HD 5000M Series]
:(32902:15180:4133:861) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 6
:(32902:11537:4133:861) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11536:4133:861) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11539:4133:861) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11538:4133:861) pci, None, HOST/PCI, Core Processor Reserved
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_superdora-lv_root / ext4 4096 4096 13092026 9227721 9096671 3276800 2822785 2822785
:/dev/sda1 /boot ext4 1024 1024 508745 397522 371922 128016 127611 127611
:/dev/mapper/vg_superdora-lv_home /home ext4 4096 4096 81107093 64381204 60321249 20299776 20129838 20129838
:/dev/sdb1 WITHHELD vfat UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:

var_log_messages:
:Jun 15 09:58:02 superdora kernel: [95529.813591] synapse[3687]: segfault at 0 ip           (null) sp 00007fffcca30c88 error 14 in synapse[400000+f3000]
:Jun 15 09:58:04 superdora abrt[5807]: Saved core dump of pid 3687 (/usr/bin/synapse) to /var/spool/abrt/ccpp-2012-06-15-09:58:02-3687 (44507136 bytes)

xsession_errors:
:Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x1e0004a (synapse)
:Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x1e0004a (synapse)
:Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x4200005 (synapse)
:Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x4200005 (synapse)
Comment 1 Vilhjálmur Magnússon 2012-06-15 05:59:39 EDT
Created attachment 592094 [details]
File: backtrace
Comment 2 Vilhjálmur Magnússon 2012-06-15 05:59:41 EDT
Created attachment 592095 [details]
File: maps
Comment 3 Vilhjálmur Magnússon 2012-06-15 05:59:44 EDT
Created attachment 592096 [details]
File: dso_list
Comment 4 Valent Turkovic 2012-06-16 08:48:35 EDT
I can just say me too, on Fedora 17.
What broke synapse? Can you please revert to last working version ASAP?
Comment 5 Jürgen Geuter 2012-06-20 03:30:38 EDT
I have the same problem, it seems to be connected to the Synapse Zeitgeist plugin which crashes.

You can as a workaround disable the plugin in synapse until it is fixed.
Comment 6 Valent Turkovic 2012-06-20 03:39:41 EDT
If it helps, it is stable on 64bit systems, but crashes on 32bit. This is just my personal observation so maybe it is not same for everybody but maybe it helps track down this bug...
Comment 7 Jürgen Geuter 2012-06-20 03:41:14 EDT
Cannot confirm Valent's observation: With the Zeitgeist plugin enabled it crashes on my 64Bit box.
Comment 8 David Kaylor 2012-06-20 08:11:33 EDT
I have the 64-bit version installed. With the Zeitgeist plugin enabled, it crashes. With the plugin disabled, it is stable.
Comment 9 Joe Wrigley 2012-06-20 08:24:04 EDT
(In reply to comment #8)
> I have the 64-bit version installed. With the Zeitgeist plugin enabled, it
> crashes. With the plugin disabled, it is stable.

Same here.
Comment 10 Michel Alexandre Salim 2012-06-20 23:28:31 EDT
Thanks for all the report -- I'll try and disable the Zeitgeist plugin by default for the next build.
Comment 11 Vilhjálmur Magnússon 2012-06-21 05:18:44 EDT
Crashes the moment I start typing something in Synapse.

backtrace_rating: 4
Package: synapse-0.2.10-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 12 Joe Wrigley 2012-06-21 05:19:22 EDT
What about troubleshooting the Zeitgeist plugin? No idea why it's causing the crash?
Comment 13 Michel Alexandre Salim 2012-06-21 07:29:12 EDT
This is because the libzeitgeist update that is needed to build synapse has not been marked as stable:

https://admin.fedoraproject.org/updates/search/libzeitgeist

and somehow libzeitgeist's upstream didn't do a soname bump, so synapse happily installs against an outdated version of a dependency.

We're pushing the update now, so hopefully synapse should just work once that package makes it to the mirrors
Comment 14 Mamoru TASAKA 2012-06-21 08:29:31 EDT
(In reply to comment #13)
> This is because the libzeitgeist update that is needed to build synapse has
> not been marked as stable:
> 
> https://admin.fedoraproject.org/updates/search/libzeitgeist
> 
> and somehow libzeitgeist's upstream didn't do a soname bump, so synapse
> happily installs against an outdated version of a dependency.
> 
> We're pushing the update now, so hopefully synapse should just work once
> that package makes it to the mirrors

Yes, this is the reason.
Backtrace says:

#0  0x0000000000000000 in ?? () <========================
No symbol table info available.
#1  0x00000000004a5a3a in synapse_zeitgeist_plugin_process_results_co (_data_=0x18e27e0) at zeitgeist-plugin.c:1079

This suggests that functions to be called here could not be found.

And actually with libzeitgeist-0.3.18 (used for building synapse 0.2.10), zeitgeist-plugin.c says:

  1079                                  _data_->_tmp20_ = zeitgeist_subject_get_current_uri (_data_->_tmp19_);

And rpmsodiff of libzeitgeist rpm says:
$ rpmsodiff libzeitgeist-0.3.12-1.fc17.i686.rpm libzeitgeist-0.3.18-1.fc17.i686.rpm
	common sonames:
libzeitgeist-1.0.so.1	/usr/lib/libzeitgeist-1.0.so.1.0.4	/usr/lib/libzeitgeist-1.0.so.1.1.4

--- libzeitgeist-0.3.12-1.fc17/libzeitgeist-1.0.so.1	2012-01-16 14:36:29.000000000 +0900
+++ libzeitgeist-0.3.18-1.fc17/libzeitgeist-1.0.so.1	2012-05-05 20:33:35.000000000 +0900
@@ -35,2 +35,3 @@
 zeitgeist_event_get_manifestation	T
+zeitgeist_event_get_origin	T
 zeitgeist_event_get_payload	T
@@ -49,2 +50,3 @@
 zeitgeist_event_set_manifestation	T
+zeitgeist_event_set_origin	T
 zeitgeist_event_set_payload	T
@@ -59,2 +61,4 @@
 zeitgeist_index_search_finish	T
+zeitgeist_index_search_with_relevancies	T
+zeitgeist_index_search_with_relevancies_finish	T
 zeitgeist_interpretation_for_mimetype	T
@@ -70,2 +74,3 @@
 zeitgeist_log_find_related_uris_finish	T
+zeitgeist_log_get_default	T
 zeitgeist_log_get_events	T
@@ -73,2 +78,3 @@
 zeitgeist_log_get_type	T
+zeitgeist_log_get_version	T
 zeitgeist_log_insert_events	T
@@ -104,2 +110,3 @@
 zeitgeist_storage_state_get_type	T
+zeitgeist_subject_get_current_uri	T <======================
 zeitgeist_subject_get_interpretation	T
@@ -114,2 +121,3 @@
 zeitgeist_subject_new_full	T
+zeitgeist_subject_set_current_uri	T
 zeitgeist_subject_set_interpretation	T

Note that technically soname bump on libzeitgeist is _not_ needed, because just new symbols are added (this handling happens so common, e.g. on gtk2). However once you build synapse against new libzeitgeist, you must ensure that synapse gets installed with new libzeitgeist.
Comment 15 Renich Bon Ciric 2012-06-21 22:12:00 EDT
Yeah, sorry to everybody. I forgot to push the updated libzeitgeist to stable. ;=s

I'll pay more attention in the future. Sorry and thanks to Michel Alexandre Salim and all of you for helping so much.

I will set the bug to "MODIFIED" until somebody confirms the fix.

libzeitgeist-0.3.18-1 has been pushed to stable now. Expect it in the next repo sync.
Comment 16 Fedora End Of Life 2013-07-04 03:05:26 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Renich Bon Ciric 2013-08-01 01:52:29 EDT
so, any fix confirmations?
Comment 18 Fedora End Of Life 2013-08-01 14:48:59 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.